# We recommend included a bcr test workspace that exercises your ruleset with bzlmod.
# For an example, see https://github.com/aspect-build/bazel-lib/tree/main/e2e/bzlmod.
bcr_test_module:
  module_path: "examples/cross-helloworld-no-go"
  matrix:
    # ubuntu2004: the cross-env doesn't seem to work there
    platform: ["ubuntu2204"]
    bazel: [7.x]
  tasks:
    test_linux:
      name: "Run linux crosstool tests"
      bazel: ${{ bazel }}
      platform: ${{ platform }}
      test_targets:
        - "//..."
